> For the complete documentation index, see [llms.txt](https://docs.fuul.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fuul.xyz/protocol-reference/subgraphs.md).

# Subgraphs

{% hint style="warning" %}
These subgraphs are for **Fuul Protocol v1**. If you are using v2, refer to the relevant sections in the developer documentation.
{% endhint %}

Every token reward program has an onchain record on the Fuul Protocol v1 contracts. This information can be retrieved from any indexer, but using our aggregated subgraphs makes it much easier.

Fuul subgraphs are mainly used for:

* [Getting onchain rewards](/developer-guide/getting-individual-rewards.md)
* [Getting onchain claimable rewards](/developer-guide/claiming-onchain-rewards.md)

### Github Repo

The subgraph code is hosted on this GitHub repo:

{% embed url="<https://github.com/kuyen-labs/fuulprotocol-subgraph>" %}

### Deployed Subgraphs <a href="#subgraphs" id="subgraphs"></a>

There is one subgraph per network supported by Fuul. These are the endpoints:

* Arbitrum: <https://api.goldsky.com/api/public/project_cmgzmdvbs00au5np2h59xd0ls/subgraphs/arbitrum/latest/gn>
* Base: <https://api.goldsky.com/api/public/project_cmgzmdvbs00au5np2h59xd0ls/subgraphs/base/latest/gn>
* Optimism: <https://api.goldsky.com/api/public/project_cmgzmdvbs00au5np2h59xd0ls/subgraphs/optimism/latest/gn>
* Polygon: <https://api.goldsky.com/api/public/project_cmgzmdvbs00au5np2h59xd0ls/subgraphs/polygon/latest/gn>
* BNB Chain: <https://api.goldsky.com/api/public/project_cmgzmdvbs00au5np2h59xd0ls/subgraphs/base/latest/gn>
* zkSync Era: <https://api.studio.thegraph.com/query/71690/fuul-protocol-zksync-era/version/latest>
* HyperEVM: <https://api.goldsky.com/api/public/project_clin4jx264wt449y4bdx70deh/subgraphs/fuul-protocol-hyperevm/latest/gn>

{% hint style="info" %}
To query the subgraph, follow this guide from [TheGraph](https://thegraph.com/docs/en/querying/querying-from-an-application/), or make a request directly to the endpoint using a library like axios or requests.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fuul.xyz/protocol-reference/subgraphs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
